Package org.flowable.eventregistry.api

# Interface EventDefinitionQuery

All Superinterfaces:
  `Query<EventDefinitionQuery,EventDefinition>`

public interface EventDefinitionQuery extends Query<EventDefinitionQuery,EventDefinition>
Allows programmatic querying of `EventDefinition`s.

Author:
  Tijs Rademakers, Joram Barrez

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventDefinitionQuery`
  `deploymentId(String deploymentId)`
  Only select event definitions that are deployed in a deployment with the given deployment id
  `EventDefinitionQuery`
  `deploymentIds(Set<String> deploymentIds)`
  Select event definitions that are deployed in deployments with the given set of ids
  `EventDefinitionQuery`
  `eventCategory(String category)`
  Only select event definitions with the given category.
  `EventDefinitionQuery`
  `eventCategoryLike(String categoryLike)`
  Only select event definitions where the category matches the given parameter.
  `EventDefinitionQuery`
  `eventCategoryNotEquals(String categoryNotEquals)`
  Only select event definitions that have a different category then the given one.
  `EventDefinitionQuery`
  `eventDefinitionId(String eventDefinitionId)`
  Only select eventdefinition with the given id.
  `EventDefinitionQuery`
  `eventDefinitionIds(Set<String> eventDefinitionIds)`
  Only select forms with the given ids.
  `EventDefinitionQuery`
  `eventDefinitionKey(String eventDefinitionKey)`
  Only select event definition with the given key.
  `EventDefinitionQuery`
  `eventDefinitionKeyLike(String eventDefinitionKeyLike)`
  Only select event definitions where the key matches the given parameter.
  `EventDefinitionQuery`
  `eventDefinitionKeyLikeIgnoreCase(String keyLikeIgnoreCase)`
  Only select event definitions where the key matches the given parameter (case-insensitive).
  `EventDefinitionQuery`
  `eventDefinitionName(String eventDefinitionName)`
  Only select event definitions with the given name.
  `EventDefinitionQuery`
  `eventDefinitionNameLike(String eventDefinitionNameLike)`
  Only select event definitions where the name matches the given parameter.
  `EventDefinitionQuery`
  `eventDefinitionNameLikeIgnoreCase(String nameLikeIgnoreCase)`
  Only select event definitions where the name matches the given parameter (case-insensitive).
  `EventDefinitionQuery`
  `eventDefinitionResourceName(String resourceName)`
  Only select event definition with the given resource name.
  `EventDefinitionQuery`
  `eventDefinitionResourceNameLike(String resourceNameLike)`
  Only select event definition with a resource name like the given .
  `EventDefinitionQuery`
  `eventVersion(Integer eventVersion)`
  Only select event definitions with a certain version.
  `EventDefinitionQuery`
  `eventVersionGreaterThan(Integer eventVersion)`
  Only select event definitions which version are greater than a certain version.
  `EventDefinitionQuery`
  `eventVersionGreaterThanOrEquals(Integer eventVersion)`
  Only select event definitions which version are greater than or equals a certain version.
  `EventDefinitionQuery`
  `eventVersionLowerThan(Integer eventVersion)`
  Only select event definitions which version are lower than a certain version.
  `EventDefinitionQuery`
  `eventVersionLowerThanOrEquals(Integer eventVersion)`
  Only select event definitions which version are lower than or equals a certain version.
  `EventDefinitionQuery`
  `latestVersion()`
  Only select the event definitions which are the latest deployed (ie. which have the highest version number for the given key).
  `EventDefinitionQuery`
  `orderByDeploymentId()`
  Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDefinitionQuery`
  `orderByEventDefinitionCategory()`
  Order by the category of the event definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDefinitionQuery`
  `orderByEventDefinitionId()`
  Order by the id of the event definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDefinitionQuery`
  `orderByEventDefinitionKey()`
  Order by event definition key (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDefinitionQuery`
  `orderByEventDefinitionName()`
  Order by the name of the event definitions (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDefinitionQuery`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `EventDefinitionQuery`
  `parentDeploymentId(String parentDeploymentId)`
  Only select event definitions that are deployed in a deployment with the given parent deployment id
  `EventDefinitionQuery`
  `tenantId(String tenantId)`
  Only select event definitions that have the given tenant id.
  `EventDefinitionQuery`
  `tenantIdLike(String tenantIdLike)`
  Only select event definitions with a tenant id like the given one.
  `EventDefinitionQuery`
  `withoutTenantId()`
  Only select event definitions that do not have a tenant id.

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### eventDefinitionId

    EventDefinitionQuery eventDefinitionId(String eventDefinitionId)
    Only select eventdefinition with the given id.

  - ### eventDefinitionIds

    EventDefinitionQuery eventDefinitionIds(Set<String> eventDefinitionIds)
    Only select forms with the given ids.

  - ### eventCategory

    EventDefinitionQuery eventCategory(String category)
    Only select event definitions with the given category.

  - ### eventCategoryLike

    EventDefinitionQuery eventCategoryLike(String categoryLike)
    Only select event definitions where the category matches the given parameter. The syntax that should be used is the same as in SQL, eg. %test%

  - ### eventCategoryNotEquals

    EventDefinitionQuery eventCategoryNotEquals(String categoryNotEquals)
    Only select event definitions that have a different category then the given one.
    See Also:
      - `EventDeploymentBuilder.category(String)`

  - ### eventDefinitionName

    EventDefinitionQuery eventDefinitionName(String eventDefinitionName)
    Only select event definitions with the given name.

  - ### eventDefinitionNameLike

    EventDefinitionQuery eventDefinitionNameLike(String eventDefinitionNameLike)
    Only select event definitions where the name matches the given parameter. The syntax that should be used is the same as in SQL, eg. %test%

  - ### eventDefinitionNameLikeIgnoreCase

    EventDefinitionQuery eventDefinitionNameLikeIgnoreCase(String nameLikeIgnoreCase)
    Only select event definitions where the name matches the given parameter (case-insensitive). The syntax that should be used is the same as in SQL, eg. %test%

  - ### deploymentId

    EventDefinitionQuery deploymentId(String deploymentId)
    Only select event definitions that are deployed in a deployment with the given deployment id

  - ### deploymentIds

    EventDefinitionQuery deploymentIds(Set<String> deploymentIds)
    Select event definitions that are deployed in deployments with the given set of ids

  - ### parentDeploymentId

    EventDefinitionQuery parentDeploymentId(String parentDeploymentId)
    Only select event definitions that are deployed in a deployment with the given parent deployment id

  - ### eventDefinitionKey

    EventDefinitionQuery eventDefinitionKey(String eventDefinitionKey)
    Only select event definition with the given key.

  - ### eventDefinitionKeyLike

    EventDefinitionQuery eventDefinitionKeyLike(String eventDefinitionKeyLike)
    Only select event definitions where the key matches the given parameter. The syntax that should be used is the same as in SQL, eg. %test%

  - ### eventDefinitionKeyLikeIgnoreCase

    EventDefinitionQuery eventDefinitionKeyLikeIgnoreCase(String keyLikeIgnoreCase)
    Only select event definitions where the key matches the given parameter (case-insensitive). The syntax that should be used is the same as in SQL, eg. %test%

  - ### eventVersion

    EventDefinitionQuery eventVersion(Integer eventVersion)
    Only select event definitions with a certain version. Particularly useful when used in combination with `eventDefinitionKey(String)`

  - ### eventVersionGreaterThan

    EventDefinitionQuery eventVersionGreaterThan(Integer eventVersion)
    Only select event definitions which version are greater than a certain version.

  - ### eventVersionGreaterThanOrEquals

    EventDefinitionQuery eventVersionGreaterThanOrEquals(Integer eventVersion)
    Only select event definitions which version are greater than or equals a certain version.

  - ### eventVersionLowerThan

    EventDefinitionQuery eventVersionLowerThan(Integer eventVersion)
    Only select event definitions which version are lower than a certain version.

  - ### eventVersionLowerThanOrEquals

    EventDefinitionQuery eventVersionLowerThanOrEquals(Integer eventVersion)
    Only select event definitions which version are lower than or equals a certain version.

  - ### latestVersion

    EventDefinitionQuery latestVersion()
    Only select the event definitions which are the latest deployed (ie. which have the highest version number for the given key). Can also be used without any other criteria (ie. query.latestVersion().list()), which will then give all the latest versions of all the deployed event definitions.
    Throws:
      `FlowableIllegalArgumentException` - if used in combination with {`eventVersion(Integer)` or `deploymentId(String)`

  - ### eventDefinitionResourceName

    EventDefinitionQuery eventDefinitionResourceName(String resourceName)
    Only select event definition with the given resource name.

  - ### eventDefinitionResourceNameLike

    EventDefinitionQuery eventDefinitionResourceNameLike(String resourceNameLike)
    Only select event definition with a resource name like the given .

  - ### tenantId

    EventDefinitionQuery tenantId(String tenantId)
    Only select event definitions that have the given tenant id.

  - ### tenantIdLike

    EventDefinitionQuery tenantIdLike(String tenantIdLike)
    Only select event definitions with a tenant id like the given one.

  - ### withoutTenantId

    EventDefinitionQuery withoutTenantId()
    Only select event definitions that do not have a tenant id.

  - ### orderByEventDefinitionCategory

    EventDefinitionQuery orderByEventDefinitionCategory()
    Order by the category of the event definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByEventDefinitionKey

    EventDefinitionQuery orderByEventDefinitionKey()
    Order by event definition key (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByEventDefinitionId

    EventDefinitionQuery orderByEventDefinitionId()
    Order by the id of the event definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByEventDefinitionName

    EventDefinitionQuery orderByEventDefinitionName()
    Order by the name of the event definitions (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByDeploymentId

    EventDefinitionQuery orderByDeploymentId()
    Order by deployment id (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    EventDefinitionQuery orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).